This module rewrites the to-install branches of dependencies.

This is usable in case you wants to deploy your module on different environments,
and you have dependencies per enviroment, like we do have in some projects.

# Install globally

```
npm i -g rewrite-dependencies-branches-for-npm

rebranch-dependencies package.json myHipNewFeatureBranch
```

# Require as module

## Get manipulated package.json back (as object)

```
var pathToJson = require('./package.json'),
lib = require('rewrite-dependencies-branches-for-npm');

json = lib.rebranch(pathToJson, 'myHipNewFeatureBranch');
```

## Directly write manipulated package.json

```
var pathToJson = require('./package.json'),
lib = require('rewrite-dependencies-branches-for-npm');

lib.rebranchAndWritePackageJson(pathToJson, 'myHipNewFeatureBranch');
```
